GWT 2.7.0

## com.google.web.bindery.requestfactory.vm
Class InProcessRequestContext

    java.lang.Object
      com.google.web.bindery.requestfactory.shared.impl.AbstractRequestContext
          com.google.web.bindery.requestfactory.vm.InProcessRequestContext

All Implemented Interfaces:
  com.google.web.bindery.requestfactory.shared.impl.EntityCodex.EntitySource, RequestContext

     class InProcessRequestContext

extends com.google.web.bindery.requestfactory.shared.impl.AbstractRequestContext

An in-process implementation of RequestContext.

Nested Class Summary
`(package private) class` | `InProcessRequestContext.RequestContextHandler`

Nested classes/interfaces inherited from class com.google.web.bindery.requestfactory.shared.impl.AbstractRequestContext
`com.google.web.bindery.requestfactory.shared.impl.AbstractRequestContext.Dialect, com.google.web.bindery.requestfactory.shared.impl.AbstractRequestContext.State`

Field Summary
`(package private) static java.lang.Object[]` | `NO_ARGS`

Constructor Summary
`protected` | `InProcessRequestContext(InProcessRequestFactory factory, com.google.web.bindery.requestfactory.shared.impl.AbstractRequestContext.Dialect dialect, java.lang.Class<? extends RequestContext> context)`

Method Summary

`

`<T extends RequestContext> T`

`

`append(T other)`
Joins another RequestContext to this RequestContext.

`protected

`<T extends BaseProxy> AutoBean<T>`

`

`createProxy(java.lang.Class<T> clazz, com.google.web.bindery.requestfactory.shared.impl.SimpleProxyId<T> id, boolean useAppendedContexts)`

`protected AutoBeanFactory` | `getAutoBeanFactory()`

Methods inherited from class com.google.web.bindery.requestfactory.shared.impl.AbstractRequestContext
`addInvocation, create, edit, editProxy, fail, find, fire, fire, getBeanForPayload, getRequestFactory, getSerializedProxyId, isChanged, isEntityType, isLocked, isValueType, setFireDisabled, violation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NO_ARGS

    static final java.lang.Object[] NO_ARGS

Constructor Detail

### InProcessRequestContext

    protected InProcessRequestContext(InProcessRequestFactory factory,
                                      com.google.web.bindery.requestfactory.shared.impl.AbstractRequestContext.Dialect dialect,
                                      java.lang.Class<? extends RequestContext> context)

Method Detail

### append

    public <T extends RequestContext> T append(T other)

  Description copied from interface: `RequestContext`
  Joins another RequestContext to this RequestContext.

       SomeContext ctx = myFactory.someContext();
       // Perform operations on ctx
       OtherContext other = ctx.append(myFactory.otherContext());
       // Perform operations on both other and ctx
       ctx.fire() // or other.fire() are equivalent

  Specified by:
    `append` in interface `RequestContext`
  Overrides:
    `append` in class `com.google.web.bindery.requestfactory.shared.impl.AbstractRequestContext`
  Parameters:
    `other` - a freshly-constructed RequestContext whose state should be bound to this RequestContext
  Returns:
    `other`

### createProxy

    protected <T extends BaseProxy> AutoBean<T> createProxy(java.lang.Class<T> clazz,
                                                            com.google.web.bindery.requestfactory.shared.impl.SimpleProxyId<T> id,
                                                            boolean useAppendedContexts)

  Overrides:
    `createProxy` in class `com.google.web.bindery.requestfactory.shared.impl.AbstractRequestContext`

### getAutoBeanFactory

    protected AutoBeanFactory getAutoBeanFactory()

  Specified by:
    `getAutoBeanFactory` in class `com.google.web.bindery.requestfactory.shared.impl.AbstractRequestContext`

GWT 2.7.0